## galleta 1.0%2B20040505

=== debian/changelog ===
galleta (1.0+20040505-8) unstable; urgency=medium

  * Team upload.
  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/:
      - fix-gcc-warnings: renamed to 10_fix-gcc-warnings.patch.
      - fix-makefile: renamed to 20_fix-makefile.patch.
  * debian/watch:
      - Bumped to version 4.
      - Updated the rule to search for new upstream versions.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 10 Jan 2017 00:14:00 -0200

galleta (1.0+20040505-7) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 16 Jun 2015 23:30:10 -0300

galleta (1.0+20040505-6) experimental; urgency=medium

  * Team upload.
  * Migrations:
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0 format.
      - Updated the DH level to 9.
  * debian/control:
      - Little adjustments in long description.
      - Removed the leading article from short description.
      - Updated Standards-Version to 3.9.6.
      - Updated the Homepage field.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Fixed the file header.
      - Reorganized the file.
      - Updated all years and names for maintainers.
      - Updated the GPL-2+ license text.
  * debian/dirs: added to create a directory.
  * debian/galleta.install: removed.
  * debian/galleta.manpages: renamed to manpages.
  * debian/manpages/:
      - Renamed to debian/manpage.
      - galleta.1: little adjustments.
  * debian/patches/:
      - fix-gcc-warnings: added to fix some GCC warnings.
      - fix-makefile: added to make Makefile compliant with Debian and add
          GCC hardening.
  * debian/source.lintian-overrides: removed because this file is useless
      in nowadays.
  * debian/watch: added. Thanks to Bart Martens <bartm@debian.org>.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 07 Mar 2015 14:54:55 -0300

galleta (1.0+20040505-5) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 11:53:39 +0200

galleta (1.0+20040505-4) unstable; urgency=low

  * Updating vcs fields.
  * Adding myself to copyright file.
  * Prefixing debhelper files with package name.
  * Updating year in copyright.
  * Upgrading package to standards 3.8.1.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 21:13:48 +0200

galleta (1.0+20040505-3) unstable; urgency=low

  [ Christophe Monniez ]
  * Fix rules to build on alpha and mipsel, thanks to Thiemo Seufer for
    the patch (Closes: #495117).

  [ Daniel Baumann ]
  * Updating to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Sorting vcs fields in control.
  * Updating copyright file.
  * Using tab instead of whitespace in debhelper install file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Sep 2008 09:39:00 +0200

galleta (1.0+20040505-2) unstable; urgency=medium

  [ Daniel Baumann ]
  * Removing and recreating bin directory, really fixes the FTBFS now
    (Closes: #474412).

  [ Christophe Monniez ]
  * Removing a dangerous rule (Closes #474412).

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 May 2008 09:34:00 +0200

galleta (1.0+20040505-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Initial release (Closes: #469949).

  [ Daniel Baumann ]
  * Also removing binary doublette in clean target of rules.
  * Adding manpage debhelper file to install the manpage.
  * Calling the upstream makefile in clean target of rules rather than
    removing the binary manually.
  * Adjusted some a formatting issue on the manpage.
  * Rewrapping copyright file.
  * Fixing a few typos in package description.
  * Adding ITP bug number to changelog.
  * Corrected version number in changelog.

 -- Christophe Monniez <christophe.monniez@fccu.be>  Sun, 09 Mar 2008 17:03:24 +0100

## galleta 1.0+20040505

=== src/Makefile ===
all: install

install:  galleta.c
	gcc -o galleta galleta.c -lm -lc;cp galleta ../bin

installwin:  galleta.c
	gcc -DCYGWIN -o galleta.exe galleta.c -lm -lc;cp galleta.exe ../bin

clean: 
	rm -f galleta.exe galleta

=== debian/changelog ===
galleta (1.0+20040505-12) unstable; urgency=medium

  * Team upload.

  [ Joao Eriberto Mota Filho ]
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated packaging copyright years.

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 22 Dec 2022 17:49:26 -0300

galleta (1.0+20040505-11) unstable; urgency=medium

  * Team upload.

  [ Joao Eriberto Mota Filho ]
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright:
      - Added packaging rights for Samuel Henrique.
      - Updated packaging copyright years.

  [ Samuel Henrique ]
  * Add salsa-ci.yml.
  * Configure git-buildpackage for Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 13 Apr 2020 23:38:08 -0300

galleta (1.0+20040505-10) unstable; urgency=medium

  * Team upload.
  * Add cross compilation patch from BTS (Closes: #904971).
  * Switch to debhelper compatibility level to 12.
  * Add d/upstream/metadata.
  * d/control:
    - Bump std-version to 4.3.0.
    - Drop empty Uploaders field.
  * d/tests/control: add trivial tests for autopkgtest.

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Fri, 18 Jan 2019 23:37:07 +0300

galleta (1.0+20040505-9) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload.
  * Update team maintainer address to Debian Security
    Tools <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Sophie Brun ]
  * Improve Makefile (Closes: #895998) to trap compilation errors.
  * Bump Standards-Version to 4.1.5. Change for https when possible.

 -- Sophie Brun <sophie@freexian.com>  Wed, 25 Jul 2018 12:18:23 +0200

=== debian/control ===
Source: galleta
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://odessa.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/galleta
Vcs-Git: https://salsa.debian.org/pkg-security-team/galleta.git

Package: galleta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internet Explorer cookie forensic analysis tool
 Galleta is a forensics tool that examines the content of cookie files
 produced by Microsoft Internet Explorer (MSIE). It parses the file and
 outputs a field separated that can be loaded in a spreadsheet.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

=== debian/watch ===
version=4
opts=uversionmangle=s/_[0-9]//,dversionmangle=s/[\d\.]+\+// \
http://sf.net/odessa/ galleta(?:_|-)([\d\._]+)\.tar\.(?:bz2|gz|xz)
